<?php

namespace App\Console\Commands;

use App\Models\UploadedPicture;
use Illuminate\Console\Command;

class FlushUnusedUploadedPicturesCommand extends Command
{
    protected $signature = 'flush:unused-uploaded-pictures';

    protected $description = 'Flush unused uploaded pictures from the storage';

    public function handle(): void
    {
        $unusedPictures = UploadedPicture::whereNotIn('id', function ($query) {
            $query->select('uploaded_picture_id')->from('creation_pictures');
        })->whereNotIn('id', function ($query) {
            $query->select('cover_uploaded_picture_id')->from('creations');
        })->whereNotIn('id', function ($query) {
            $query->select('uploaded_picture_id')->from('events');
        })->whereNotIn('id', function ($query) {
            $query->select('uploaded_picture_id')->from('about_me_sections');
        })->whereNotIn('id', function ($query) {
            $query->select('uploaded_picture_id')->from('prestations');
        })->get();

        $this->info('Found '.$unusedPictures->count().' unused pictures');

        $this->withProgressBar($unusedPictures, function (UploadedPicture $uploadedPicture) {
            $uploadedPicture->delete();
        });
    }
}
