<?php

namespace App\Http\Controllers\Public;

use App\Http\Controllers\Controller;
use App\Models\Prestation;
use Illuminate\View\View;

class PrestationController extends Controller
{
    public function index(string $slug): View
    {
        $prestation = Prestation::where('slug', $slug)
            ->with(['nameTransKey',
                'nameTransKey.translations',
                'attractDescTransKey',
                'attractDescTransKey.translations',
                'contentDescTransKey',
                'contentDescTransKey.translations',
                'uploadedPicture'])
            ->firstOrFail();

        return view('public.prestation', [
            'prestation' => $prestation,
        ]);
    }
}
