<?php

namespace App\Http\Middleware;

use App\Models\DbConfig;
use Closure;
use Illuminate\Http\Request;

class CheckPrivateModeMiddleware
{
    public function handle(Request $request, Closure $next)
    {
        $privateModeEnabled = DbConfig::get('maintenance_mode', 'true');
        $privateModeSecret = config('app.private_mode_secret');
        $userSecretInput = $request->input('secret');
        $secretIsUsable = ! empty($privateModeSecret) && $privateModeSecret === $userSecretInput;

        if ($privateModeEnabled) {
            if (! $secretIsUsable && ! auth()->check()) {
                if (! $request->is('maintenance')) {
                    return redirect()->route('maintenance');
                }
            }
        }

        if (! $privateModeEnabled && $request->is('maintenance') && ! auth()->check()) {
            return redirect()->route('index');
        }

        return $next($request);
    }
}
