<?php

namespace App\Jobs;

use App\Models\UploadedPicture;
use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Foundation\Bus\Dispatchable;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Queue\SerializesModels;

class UploadedPictureJob implements ShouldQueue
{
    use Dispatchable, InteractsWithQueue, Queueable, SerializesModels;

    public function __construct(public readonly UploadedPicture $uploadedPicture) {}

    public function handle(): void
    {
        $this->uploadedPicture->optimize();
    }
}
