<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class AboutMeSection extends Model
{
    use HasFactory;

    public $timestamps = false;

    protected $fillable = [
        'attract_desc_trans_key_id',
        'content_trans_key_id',
        'uploaded_picture_id',
        'active',
    ];

    public function attractDescTransKey(): BelongsTo
    {
        return $this->belongsTo(TranslationKey::class, 'attract_desc_trans_key_id');
    }

    public function contentTransKey(): BelongsTo
    {
        return $this->belongsTo(TranslationKey::class, 'content_trans_key_id');
    }

    public function uploadedPicture(): BelongsTo
    {
        return $this->belongsTo(UploadedPicture::class);
    }

    protected function casts(): array
    {
        return [
            'active' => 'boolean',
        ];
    }
}
