<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;
use Illuminate\Database\Eloquent\Relations\HasMany;

class Category extends CustomBaseModel
{
    use HasFactory;

    public $timestamps = false;

    protected $fillable = [
        'slug',
        'name_translation_key_id',
        'color',
        'highlight',
    ];

    const DEFAULT_COLOR = 'pink';

    const COLORS = ['pink', 'blue', 'green', 'yellow', 'purple'];

    public function nameTranslationKey(): BelongsTo
    {
        return $this->belongsTo(TranslationKey::class, 'name_translation_key_id');
    }

    public function creations(): HasMany
    {
        return $this->hasMany(Creation::class);
    }
}
