<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class CreationPicture extends CustomBaseModel
{
    use HasFactory;

    public $timestamps = false;

    protected $fillable = [
        'creation_id',
        'uploaded_picture_id',
    ];

    public function creation(): BelongsTo
    {
        return $this->belongsTo(Creation::class);
    }

    public function uploadedPicture(): BelongsTo
    {
        return $this->belongsTo(UploadedPicture::class);
    }
}
