<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Event extends CustomBaseModel
{
    use HasFactory;

    public $timestamps = false;

    protected $fillable = [
        'slug',
        'name_translation_key_id',
        'date_start',
        'date_end',
        'city',
        'uploaded_picture_id',
    ];

    public function nameTranslationKey(): BelongsTo
    {
        return $this->belongsTo(TranslationKey::class, 'name_translation_key_id');
    }

    protected function casts(): array
    {
        return [
            'date_start' => 'date',
            'date_end' => 'date',
        ];
    }

    public function uploadedPicture(): BelongsTo
    {
        return $this->belongsTo(UploadedPicture::class, 'uploaded_picture_id');
    }
}
