<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class LegalMention extends Model
{
    use HasFactory;

    protected $fillable = [
        'content_trans_key_id',
        'active',
    ];

    public function contentTransKey(): BelongsTo
    {
        return $this->belongsTo(TranslationKey::class, 'content_trans_key_id');
    }

    protected function casts(): array
    {
        return [
            'active' => 'boolean',
        ];
    }
}
