<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class Prestation extends CustomBaseModel
{
    use HasFactory;

    protected $fillable = [
        'name_trans_key_id',
        'slug',
        'optional_precision_trans_key_id',
        'icon_svg',
        'attract_desc_trans_key_id',
        'content_desc_trans_key_id',
        'category_id',
        'detail',
        'uploaded_picture_id',
    ];

    public function nameTransKey(): BelongsTo
    {
        return $this->belongsTo(TranslationKey::class, 'name_trans_key_id');
    }

    public function optionalPrecisionTransKey(): BelongsTo
    {
        return $this->belongsTo(TranslationKey::class, 'optional_precision_trans_key_id');
    }

    public function attractDescTransKey(): BelongsTo
    {
        return $this->belongsTo(TranslationKey::class, 'attract_desc_trans_key_id');
    }

    public function contentDescTransKey(): BelongsTo
    {
        return $this->belongsTo(TranslationKey::class, 'content_desc_trans_key_id');
    }

    public function category(): BelongsTo
    {
        return $this->belongsTo(Category::class);
    }

    public function uploadedPicture(): BelongsTo
    {
        return $this->belongsTo(UploadedPicture::class);
    }
}
