<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Support\Facades\Cache;

class TranslationKey extends Model
{
    use HasFactory;

    public $timestamps = false;

    protected $fillable = [
        'key',
    ];

    public function translations(): HasMany
    {
        return $this->hasMany(Translation::class);
    }

    public function getTranslation(?string $locale = null): string
    {
        $locale = $locale ?? app()->getLocale();

        return Cache::remember("translation_key_{$this->id}_{$locale}", 10, function () use ($locale) {
            return $this->translations->firstWhere('locale', $locale)?->text ?? $this->key;
        });
    }
}
