<?php

namespace Database\Factories;

use App\Models\Category;
use App\Models\TranslationKey;
use Illuminate\Database\Eloquent\Factories\Factory;

class CategoryFactory extends Factory
{
    protected $model = Category::class;

    public function definition(): array
    {
        return [
            'slug' => $this->faker->slug(),
            'name_translation_key_id' => TranslationKey::factory(),
            'color' => $this->faker->randomElement(['pink', 'blue', 'green', 'yellow', 'purple', 'orange', 'red', 'teal', 'cyan', 'gray']),
            'highlight' => $this->faker->boolean(),
        ];
    }
}
