<?php

namespace Database\Factories;

use App\Models\Category;
use App\Models\Creation;
use App\Models\TranslationKey;
use App\Models\UploadedPicture;
use Illuminate\Database\Eloquent\Factories\Factory;

class CreationFactory extends Factory
{
    protected $model = Creation::class;

    public function definition(): array
    {
        $completionDateStart = $this->faker->dateTimeBetween('-5 years', 'now');
        $completionDateEnd = $this->faker->optional()->dateTimeBetween($completionDateStart, 'now');

        return [
            'slug' => $this->faker->slug(),
            'category_id' => Category::factory(),
            'name_translation_key_id' => TranslationKey::factory(),
            'short_desc_translation_key_id' => TranslationKey::factory(),
            'desc_translation_key_id' => TranslationKey::factory(),
            'cover_uploaded_picture_id' => UploadedPicture::factory(),
            'completion_date_start' => $completionDateStart,
            'completion_date_end' => $completionDateEnd,
            'tags' => $this->faker->words(3, true),
            'is_highlighted' => $this->faker->boolean(),
        ];
    }
}
