<?php

namespace Database\Factories;

use App\Models\Event;
use App\Models\TranslationKey;
use App\Models\UploadedPicture;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class EventFactory extends Factory
{
    protected $model = Event::class;

    public function definition(): array
    {
        return [
            'slug' => $this->faker->slug(),
            'date_start' => Carbon::now(),
            'date_end' => Carbon::now(),
            'city' => $this->faker->city(),
            'uploaded_picture_id' => UploadedPicture::factory(),

            'name_translation_key_id' => TranslationKey::factory(),
        ];
    }
}
