<?php

namespace Database\Factories;

use App\Models\Category;
use App\Models\Prestation;
use App\Models\TranslationKey;
use App\Models\UploadedPicture;
use Illuminate\Database\Eloquent\Factories\Factory;
use Illuminate\Support\Carbon;

class PrestationFactory extends Factory
{
    protected $model = Prestation::class;

    public function definition(): array
    {
        return [
            'slug' => $this->faker->slug(),
            'icon_svg' => $this->faker->word(),
            'created_at' => Carbon::now(),
            'updated_at' => Carbon::now(),

            'name_trans_key_id' => TranslationKey::factory(),
            'optional_precision_trans_key_id' => TranslationKey::factory(),
            'attract_desc_trans_key_id' => TranslationKey::factory(),
            'content_desc_trans_key_id' => TranslationKey::factory(),
            'category_id' => Category::factory(),
            'uploaded_picture_id' => UploadedPicture::factory(),
        ];
    }
}
