<?php

use App\Models\TranslationKey;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('translations', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(TranslationKey::class, 'translation_key_id');
            $table->enum('locale', ['en', 'fr'])->default('fr');
            $table->text('text');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('translations');
    }
};
