<?php

use App\Models\Category;
use App\Models\TranslationKey;
use App\Models\UploadedPicture;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void
    {
        Schema::create('creations', function (Blueprint $table) {
            $table->id();
            $table->string('slug')->unique();
            $table->foreignIdFor(Category::class, 'category_id');
            $table->foreignIdFor(TranslationKey::class, 'name_translation_key_id');
            $table->foreignIdFor(TranslationKey::class, 'short_desc_translation_key_id')->nullable();
            $table->foreignIdFor(TranslationKey::class, 'desc_translation_key_id')->nullable();
            $table->foreignIdFor(UploadedPicture::class, 'cover_uploaded_picture_id');
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('creations');
    }
};
