<?php

use App\Models\Category;
use App\Models\TranslationKey;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('prestations', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(TranslationKey::class, 'name_trans_key_id');
            $table->foreignIdFor(TranslationKey::class, 'optional_precision_trans_key_id')->nullable();
            $table->text('icon_svg')->nullable();
            $table->foreignIdFor(TranslationKey::class, 'attract_desc_trans_key_id')->nullable();
            $table->foreignIdFor(TranslationKey::class, 'content_desc_trans_key_id');
            $table->foreignIdFor(Category::class);
            $table->text('detail')->default('');
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('prestations');
    }
};
