<?php

use App\Models\UploadedPicture;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        // We have to delete all the events before adding the new column
        \App\Models\Event::query()->delete();

        Schema::table('events', function (Blueprint $table) {
            $table->foreignIdFor(UploadedPicture::class)->after('city');
        });
    }

    public function down(): void
    {
        Schema::table('events', function (Blueprint $table) {
            $table->dropColumn('uploaded_picture_id');
        });
    }
};
