<?php

use App\Models\UploadedPicture;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('prestations', function (Blueprint $table) {
            $table->foreignIdFor(UploadedPicture::class, 'uploaded_picture_id')->nullable();
        });
    }

    public function down(): void
    {
        Schema::table('prestations', function (Blueprint $table) {
            $table->dropForeign(['uploaded_picture_id']);
            $table->dropColumn('uploaded_picture_id');
        });
    }
};
