import Editor from '@toast-ui/editor'
import '@toast-ui/editor/dist/toastui-editor.css';

const editors = document.querySelectorAll('.markdown-editor');

editors.forEach(editor => {
    let editorTargetInput = document.getElementById(editor.dataset.target);
    let tuiEditor = new Editor({
        el: editor,
        height: '32rem',
        initialEditType: 'markdown',
        initialValue: editorTargetInput.value,
    })

    tuiEditor.removeToolbarItem('image');
    tuiEditor.on('change', function () {
        editorTargetInput.value = tuiEditor.getMarkdown();
    });
});
