import slugify from "slugify";

document.addEventListener('DOMContentLoaded', function() {
    const slugComponents = document.querySelectorAll('.slug-input-component');

    slugComponents.forEach(component => {
        const sourceInputId = component.getAttribute('data-source-input-id');
        const slugInputName = component.getAttribute('data-slug-input-name');
        const sourceInput = document.getElementById(sourceInputId);
        const slugInput = document.getElementsByName(slugInputName)[0];

        if (sourceInput && slugInput) {
            sourceInput.addEventListener('input', function() {
                slugInput.value = slugify(sourceInput.value, {
                    lower: true,
                    strict: true
                });
            });
        }
    });
});