import {createApp} from "vue";
import VisitsPerDayChart from "../../components/admin/VisitsPerDayChart.vue";
import VisitsByCountryChart from "../../components/admin/VisitsByCountryChart.vue";

const app = createApp();

app.component('visits-per-day-chart', VisitsPerDayChart);
app.component('visits-by-country-chart', VisitsByCountryChart);

app.mount('#admin-home')

const statsSelect = document.getElementById('statsSelect');
statsSelect.addEventListener('change', () => {
    let startDate = statsSelect.value;
    let endDate = new Date().toISOString().split('T')[0];

    window.location.href = `?start_date=${startDate}&end_date=${endDate}`;
});