import PhotoSwipeLightbox from "photoswipe/lightbox";
import 'photoswipe/style.css';

const lightboxInstances = new Map();

function initPhotoSwipeLightbox(medias) {
    const lightbox = new PhotoSwipeLightbox({
        gallery: `#${medias.id}`,
        children: 'a',
        pswpModule: () => import('photoswipe')
    });
    lightbox.init();
    return lightbox;
}

document.addEventListener('DOMContentLoaded', () => {
    const medias = document.getElementById('medias');
    if (medias) {
        const lightbox = initPhotoSwipeLightbox(medias);
        lightboxInstances.set(medias.id, lightbox);
    }
});