@extends('layouts.admin', ['title' => 'Catégories', 'headerRoutes' => $headerRoutes])

@section('content')
    <h5>Information</h5>
    <p>Les catégories permettent de regrouper des créations sous un thème commun, qui pourra être associé à une
        prestation.</p>

    @if (session('success'))
        <x-bs.alert type="success" class="mt-3">
            {{ session('success') }}
        </x-bs.alert>
    @endif

    <table class="table">
        <thead>
        <tr>
            <th scope="col">ID</th>
            <th scope="col">Slug</th>
            <th scope="col">Nom (Français)</th>
            <th scope="col">Nom (Anglais)</th>
            <th scope="col">Couleur</th>
            <th scope="col">Mise en avant</th>
            <th scope="col">Actions</th>
        </tr>
        </thead>
        <tbody>
        @foreach($categories as $category)
            <tr>
                <th scope="row">{{ $category->id }}</th>
                <td>{{ $category->slug }}</td>
                <td>{{ $category->nameTranslationKey->translations->firstWhere('locale', 'fr')->text ?? 'N/A' }}</td>
                <td>{{ $category->nameTranslationKey->translations->firstWhere('locale', 'en')->text ?? 'N/A' }}</td>
                <td>{{ $category->color }}</td>
                <td>{{ $category->highlight ? 'Oui' : 'Non' }}</td>
                <td>
                    <x-bs.button size="sm" tag="a" href="{{ route('admin.categories.edit', $category->id) }}"
                                 variant="primary">
                        Modifier
                    </x-bs.button>
                    <x-bs.button href="{{ route('admin.categories.delete', $category->id) }}"
                                 size="sm" tag="a" variant="danger">
                        Supprimer
                    </x-bs.button>
                </td>
            </tr>
        @endforeach
        @if($categories->isEmpty())
            <tr>
                <td colspan="5" class="text-center">Aucune catégorie n'a été
                    trouvée. {{ \Spatie\Emoji\Emoji::desert() }}</td>
            </tr>
        @endif
        </tbody>
    </table>
@endsection
