@extends('layouts.admin', ['title' => 'Évènements', 'headerRoutes' => $headerRoutes])

@section('content')
    <h5>Liste des Évènements</h5>

    @if (session('success'))
        <x-bs.alert type="success" class="mt-3">
            {{ session('success') }}
        </x-bs.alert>
    @endif

    <div class="d-flex flex-wrap gap-3">
        @foreach($events as $event)
            <x-bs.card imgSrc="{{ $event->uploadedPicture->getMediumSizeUrl() }}"
                       title="{{ $event->nameTranslationKey->getTranslation('fr') }}" :square-img="true"
                       text="{{ $event->city }} | Du {{ $event->date_start->format('d/m/Y') }} au {{ $event->date_end->format('d/m/Y') }}">
                <x-slot:footer>
                    <x-bs.button size="sm" tag="a" href="{{ route('admin.events.edit', $event->id) }}"
                                 variant="primary">
                        Modifier
                    </x-bs.button>
                    <x-bs.button href="{{ route('admin.events.delete', $event->id) }}"
                                 size="sm" tag="a" variant="danger">
                        Supprimer
                    </x-bs.button>
                </x-slot:footer>
            </x-bs.card>
        @endforeach
        @if($events->isEmpty())
            <x-bs.alert type="info" class="mt-3">
                Aucun évènement n'a été ajouté pour le moment. {{ \Spatie\Emoji\Emoji::cryingCat() }}
            </x-bs.alert>
        @endif
    </div>
@endsection