@extends('layouts.admin', ['title' => 'Mentions légales', 'headerRoutes' => $headerRoutes])

@section('content')
    <h5>Mentions légales</h5>
    <p>Gérez les mentions légales.</p>

    @if (session('success'))
        <x-bs.alert type="success" class="mt-3">
            {{ session('success') }}
        </x-bs.alert>
    @endif

    <table class="table">
        <thead>
        <tr>
            <th scope="col">ID</th>
            <th scope="col">Contenu (Français)</th>
            <th scope="col">Contenu (Anglais)</th>
            <th scope="col">Active</th>
            <th scope="col">Actions</th>
        </tr>
        </thead>
        <tbody>
        @foreach($mentions as $mention)
            <tr>
                <th scope="row">{{ $mention->id }}</th>
                <td>{{ $mention->contentTransKey->getTranslation('fr') }}</td>
                <td>{{ $mention->contentTransKey->getTranslation('en') }}</td>
                <td>{{ $mention->active ? 'Oui' : 'Non' }}</td>
                <td>
                    <x-bs.button size="sm" tag="a" href="{{ route('admin.legal_mentions.edit', $mention->id) }}"
                                 variant="primary">
                        Modifier
                    </x-bs.button>
                    <x-bs.button href="{{ route('admin.legal_mentions.delete', $mention->id) }}" size="sm" tag="a"
                                 variant="danger">
                        Supprimer
                    </x-bs.button>
                </td>
            </tr>
        @endforeach
        @if($mentions->isEmpty())
            <tr>
                <td colspan="5" class="text-center">Aucune mention légale
                    trouvée. {{ \Spatie\Emoji\Emoji::desert() }}</td>
            </tr>
        @endif
        </tbody>
    </table>
@endsection
