@extends('layouts.admin', ['title' => 'Prestations', 'headerRoutes' => $headerRoutes])

@section('content')
    <h5>Liste des Prestations</h5>

    @if (session('success'))
        <x-bs.alert type="success" class="mt-3">
            {{ session('success') }}
        </x-bs.alert>
    @endif

    <table class="table">
        <thead>
        <tr>
            <th>ID</th>
            <th>Nom (Français)</th>
            <th>Nom (Anglais)</th>
            <th>Catégorie</th>
            <th>Actions</th>
        </tr>
        </thead>
        <tbody>
        @foreach($prestations as $prestation)
            <tr>
                <td>{{ $prestation->id }}</td>
                <td>{{ $prestation->nameTransKey->getTranslation('fr') }}</td>
                <td>{{ $prestation->nameTransKey->getTranslation('en') }}</td>
                <td>{{ $prestation->category->nameTranslationKey->getTranslation('fr') }}</td>
                <td>
                    <x-bs.button size="sm" tag="a" href="{{ route('admin.prestations.edit', $prestation->id) }}"
                                 variant="primary">
                        Modifier
                    </x-bs.button>
                    <x-bs.button href="{{ route('admin.prestations.delete', $prestation->id) }}"
                                 size="sm" tag="a" variant="danger">
                        Supprimer
                    </x-bs.button>
                </td>
            </tr>
        @endforeach
        @if($prestations->isEmpty())
            <tr>
                <td colspan="5" class="text-center">Aucune prestation n'a été trouvée.</td>
            </tr>
        @endif
        </tbody>
    </table>
@endsection