@extends('layouts.admin', ['title' => 'Général', 'headerRoutes' => $headerRoutes])

@section('content')
    <div class="grid">
        <div class="g-col-12 g-col-md-6">
            @if (!empty($errors) && $errors->any())
                <x-bs.alert type="danger" class="mt-3">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </x-bs.alert>
            @endif

            @if (session('success'))
                <x-bs.alert type="success" class="mt-3">
                    {{ session('success') }}
                </x-bs.alert>
            @endif

            @if (session('error'))
                <x-bs.alert type="danger" class="mt-3">
                    {{ session('error') }}
                </x-bs.alert>
            @endif

            <h5>Information</h5>
            <p>Ne remplissez que les champs que vous souhaitez mettre à jour.</p>
            <form action="{{ route('admin.settings.update-user-infos') }}"
                  method="post">
                @csrf
                @method('PUT')

                <x-bs.input
                        label="Nom"
                        name="name"
                        class="mb-3"
                        :value="old('name')"
                        :placeholder="auth()->user()->name"
                        data-form-type="username"
                />

                <x-bs.input
                        label="Adresse email"
                        name="email"
                        class="mb-3"
                        :value="old('email')"
                        :placeholder="auth()->user()->email"
                        data-form-type="email"
                />

                <x-bs.input
                        label="Nouveau mot de passe"
                        name="password"
                        class="mb-3"
                        :value="old('password')"
                        type="password"
                        data-form-type="password"
                />

                <x-bs.input
                        label="Confirmation du mot de passe"
                        name="password_confirmation"
                        class="mb-3"
                        :value="old('password_confirmation')"
                        type="password"
                        data-form-type="password,confirmation"
                />

                <x-bs.button type="submit">Enregistrer</x-bs.button>
            </form>
        </div>
    </div>
@endsection
