@extends('layouts.admin', ['title' => 'Configuration', 'headerRoutes' => $headerRoutes])

@section('content')
    <div class="grid">
        <div class="g-col-12 g-col-md-6">
            @if (!empty($errors) && $errors->any())
                <x-bs.alert type="danger" class="mt-3">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </x-bs.alert>
            @endif

            @if (session('success'))
                <x-bs.alert type="success" class="mt-3">
                    {{ session('success') }}
                </x-bs.alert>
            @endif

            <h5>Configuration</h5>
            <p>Modifiez les paramètres du site internet.</p>
            <form action="{{ route('admin.settings.update-website-config') }}"
                  method="post">
                @csrf
                @method('PUT')

                <x-bs.select label="Statut du mode maintenance"
                             name="maintenance_mode"
                             class="mb-3"
                             :options="['false' => 'Désactivé', 'true' => 'Activé']"
                             :selected="old('maintenance_mode', \App\Models\DbConfig::get('maintenance_mode', 'true'))"
                             data-form-type="other"
                />

                <x-bs.input label="Nom du site internet"
                            name="website_name"
                            class="mb-3"
                            :value="old('website_name', \App\Models\DbConfig::get('website_name', 'Rann Graphic Design'))"
                            data-form-type="other"
                />

                <x-bs.button type="submit">Enregistrer</x-bs.button>
            </form>
        </div>
    </div>
@endsection
