@extends('layouts.admin', ['title' => $title, 'headerRoutes' => $headerRoutes])

@section('content')
    <div class="grid">
        <div class="g-col-12 g-col-md-6">
            <h5>Information</h5>
            <p>La liste des icônes disponibles est disponible sur le site de
                <a href="https://fontawesome.com/v6/search?o=r&ic=brands"
                   target="_blank">Font Awesome</a>.</p>
            <p>
                Attention, il faut prendre le nom de l'icône sans le
                préfixe <code>fa-</code> et vérifier que l'icône est bien une icône de marque.
                <br>Exemple: <code>twitter</code> pour l'icône
                <code>&lt;i class=&quot;fa-brands fa-twitter&quot;&gt;&lt;/i&gt;</code>
            </p>

            <form
                    action="{{ !empty($link) ? route('admin.social-media-links.update', $link->id) : route('admin.social-media-links.store') }}"
                    method="post">
                @csrf
                @if(!empty($link))
                    @method('PUT')
                    <input type="hidden" name="id" value="{{ $link->id }}"/>
                @endif

                <x-bs.input
                        label="Nom de l'icône"
                        name="icon_name"
                        class="mb-3"
                        :value="old('icon_name', $link->icon_name ?? '')"
                        required
                        data-form-type="other"
                />


                <x-bs.input
                        label="Nom du réseau"
                        name="name"
                        class="mb-3"
                        :value="old('name', $link->name ?? '')"
                        required
                        data-form-type="other"
                />

                <x-bs.input
                        label="Lien"
                        name="url"
                        class="mb-3"
                        :value="old('slug', !empty($link) ? $link->url : '')"
                        required
                />

                <x-bs.button type="submit">Enregistrer</x-bs.button>
            </form>

            @if (!empty($errors) && $errors->any())
                <x-bs.alert type="danger" class="mt-3">
                    <ul>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </ul>
                </x-bs.alert>
            @endif

            @if (session('success'))
                <x-bs.alert type="success" class="mt-3">
                    {{ session('success') }}
                </x-bs.alert>
            @endif
        </div>
    </div>
@endsection