@extends('layouts.admin', ['title' => 'Catégories', 'headerRoutes' => $headerRoutes])

@section('content')
    <h5>Information</h5>
    <p>Les liens sociaux vous permettent d'exposer votre présence en ligne.</p>

    @if (session('success'))
        <x-bs.alert type="success" class="mt-3">
            {{ session('success') }}
        </x-bs.alert>
    @endif

    <table class="table">
        <thead>
        <tr>
            <th scope="col">ID</th>
            <th scope="col">Icône</th>
            <th scope="col">Nom du réseau</th>
            <th scope="col">Lien</th>
            <th scope="col">Actions</th>
        </tr>
        </thead>
        <tbody>
        @foreach($socialMediaLinks as $link)
            <tr>
                <th scope="row">{{ $link->id }}</th>
                <td>
                    <x-font-awesome :icon="$link->icon_name" type="brands" height="1.5rem" style="fill: var(--bs-body-color);"/>
                </td>
                <td>{{ $link->name }}</td>
                <td>{{ $link->url }}</td>
                <td>
                    <x-bs.button size="sm" tag="a" href="{{ route('admin.social-media-links.edit', $link->id) }}"
                                 variant="primary">
                        Modifier
                    </x-bs.button>
                    <x-bs.button href="{{ route('admin.social-media-links.delete', $link->id) }}"
                                 size="sm" tag="a" variant="danger">
                        Supprimer
                    </x-bs.button>
                </td>
            </tr>
        @endforeach
        @if($socialMediaLinks->isEmpty())
            <tr>
                <td colspan="5" class="text-center">Aucun lien n'a été trouvé. {{ \Spatie\Emoji\Emoji::desert() }}</td>
            </tr>
        @endif
        </tbody>
    </table>
@endsection
