@extends('layouts.admin', ['title' => 'Conditions Générales', 'headerRoutes' => $headerRoutes])

@section('content')
    <h5>Information</h5>
    <p>Gérez les sections des Conditions générales de vente.</p>

    @if (session('success'))
        <x-bs.alert type="success" class="mt-3">
            {{ session('success') }}
        </x-bs.alert>
    @endif

    <table class="table">
        <thead>
        <tr>
            <th scope="col">ID</th>
            <th scope="col">Contenu (Français)</th>
            <th scope="col">Contenu (Anglais)</th>
            <th scope="col">Active</th>
            <th scope="col">Actions</th>
        </tr>
        </thead>
        <tbody>
        @foreach($sections as $section)
            <tr>
                <th scope="row">{{ $section->id }}</th>
                <td>{{ Str::limit($section->contentTranslationKey->getTranslation('fr'), 50) }}</td>
                <td>{{ Str::limit($section->contentTranslationKey->getTranslation('en'), 50) }}</td>
                <td>{{ $section->active ? 'Oui' : 'Non' }}</td>
                <td>
                    <x-bs.button size="sm" tag="a" href="{{ route('admin.terms.edit', $section->id) }}"
                                 variant="primary">
                        Modifier
                    </x-bs.button>
                    <x-bs.button href="{{ route('admin.terms.delete', $section->id) }}" size="sm" tag="a"
                                 variant="danger">
                        Supprimer
                    </x-bs.button>
                </td>
            </tr>
        @endforeach
        @if($sections->isEmpty())
            <tr>
                <td colspan="5" class="text-center">Aucune section trouvée. {{ \Spatie\Emoji\Emoji::desert() }}</td>
            </tr>
        @endif
        </tbody>
    </table>
@endsection
