@extends('layouts.auth')

@section('content')
    <x-font-awesome icon="key" type="regular" class="auth-icon"/>
    <h1 class="auth-title">
        Recréer un mot de passe
    </h1>
    <div class="auth-subtext">
        Entrez votre adresse e-mail pour réinitialiser votre mot de passe.
    </div>

    <form method="post" action="{{ route('password.update') }}" class="auth-form" data-form-type="change_password">
        @csrf
        <input hidden name="token" value="{{ request()->route('token') }}"/>
        <x-bs.input name="email" type="email" label="Adresse e-mail" data-form-type="email" required="true"
                    value="{{ old('email', request()->get('email')) }}"
                    error_message="Veuillez entrer une adresse e-mail valide."/>
        <x-bs.input name="password" type="password" label="Mot de passe" data-form-type="password"
                    value="{{ old('password') }}" required/>
        <x-bs.input name="password_confirmation" type="password" label="Confirmation du mot de passe"
                    value="{{ old('password_confirmation') }}" data-form-type="password,confirmation" required/>

        <x-bs.button block type="submit">
            Réinitialiser le mot de passe
        </x-bs.button>
    </form>
@endsection
