@props(['title', 'routes' => []])
{{--
The routes must follow the following structure:
$routes = [
    [
        'route' => 'admin.categories.create',
        'label' => 'Créer une catégorie',
        'icon' => 'plus'
    ]
];
--}}
<div class="header">
    <div class="upper-section">
        <button type="button" class="sidebar-button d-lg-none" onclick="toggleSidebar()">
            <x-font-awesome icon="bars" type="regular"/>
        </button>
        <span class="page-title">{{ $title }}</span>
    </div>
    @if($routes)
        <div class="lower-section">
            @foreach($routes as $route)
                <div class="item {{ request()->routeIs($route['route']) ? 'active' : '' }}">
                    <a href="{{ route($route['route']) }}"
                       class="header-button {{ request()->routeIs($route['route']) ? 'active' : '' }}">
                        @if($route['icon'])
                            <x-font-awesome icon="{{ $route['icon'] }}" type="regular"/>
                        @endif
                        {{ $route['label'] }}
                    </a>
                </div>
            @endforeach
        </div>
    @endif
</div>
