@props(['type' => 'info', 'icon' => '', 'title' => '', 'message' => '', 'footer' => '', 'dismissible' => true])

@php
    $classes = 'alert alert-' . $type;

    if ($dismissible) {
        $classes .= ' alert-dismissible fade show';
    }

    if ($icon && !$title) {
        $classes .= ' d-flex flex-row align-items-center';
    }
@endphp

<div {{ $attributes->merge(['class' => $classes, 'role' => 'alert']) }}>
    @if($icon && $title)
        <div class="d-flex flex-row align-items-center">
            <x-font-awesome :icon="$icon" type="solid" class="flex-shrink-0 me-2 mb-2" height="1rem" role="img"/>
            <h4 class="alert-heading">{{ $title }}</h4>
        </div>
    @elseif($icon || $title)
        @if($icon)
            <x-font-awesome :icon="$icon" type="solid" class="flex-shrink-0 me-2" height="1rem" role="img"/>
        @endif
        @if($title)
            <h4 class="alert-heading">{{ $title }}</h4>
        @endif
    @endif
    @if($slot->hasActualContent())
        {{ $slot }}
    @else
        <p>{{ $message }}</p>
    @endif
    @if($footer)
        <hr>
        <p class="mb-0">{{ $footer }}</p>
    @endif
    @if($dismissible)
        <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
    @endif
</div>