@props([
    'type' => 'button',
    'variant' => 'primary',
    'size' => null,
    'outline' => false,
    'block' => false,
    'disabled' => false,
    'tag' => 'button',
    'href' => '#'
])

@php
    $classes = 'btn';
    $classes .= $outline ? ' btn-outline-' . $variant : ' btn-' . $variant;

    if ($size) $classes .= ' btn-' . $size;
    if ($block) $classes .= ' d-block w-100';
    if ($disabled) $classes .= $tag === 'a' ? ' disabled' : '';
@endphp

@if($tag === 'a')
    <a href="{{ $disabled ? '#' : $href }}"
       {{ $attributes->merge(['class' => $classes, 'role' => 'button']) }}
       @if($disabled) aria-disabled="true" tabindex="-1" @endif>
        {{ $slot }}
    </a>
@else
    <button type="{{ $type }}"
            {{ $attributes->merge(['class' => $classes]) }}
            @if($disabled) disabled @endif>
        {{ $slot }}
    </button>
@endif
