@props([
    'title' => '',
    'subtitle' => '',
    'text' => '',
    'imgSrc' => null,
    'imgPosition' => 'top', // 'top' or 'bottom'
    'square-img' => false,
    'links' => [],
    'header' => '',
    'footer' => '',
    'width' => '18rem',
    'badgeText' => null,
    'badgeVariant' => 'secondary',
])

<div class="card" style="width: {{ $width }};">
    @if(!empty($badgeText))
        <span class="badge text-bg-{{ $badgeVariant }} position-absolute m-2">
            {!! $badgeText !!}
        </span>
    @endif

    @if($imgSrc && $imgPosition === 'top')
        @if($squareImg)
            <div class="square-img" style="aspect-ratio: 1; overflow: hidden;">
                <img src="{{ $imgSrc }}" class="card-img-top h-100" style="object-fit: cover;" alt="Card image">
            </div>
        @else
            <img src="{{ $imgSrc }}" class="card-img-top" alt="Card image">
        @endif
    @endif

    @if($header)
        <div class="card-header">
            {!! $header !!}
        </div>
    @endif

    <div class="card-body">
        @if($title)
            <h5 class="card-title">{!! $title !!}</h5>
        @endif
        @if($subtitle)
            <h6 class="card-subtitle mb-2 text-body-secondary">{!! $subtitle !!}</h6>
        @endif
        @if($text)
            <p class="card-text">{!! $text !!}</p>
        @endif
        @foreach($links as $link)
            <a href="{{ $link['url'] }}" class="card-link">{!! $link['text'] !!}</a>
        @endforeach
    </div>

    @if($imgSrc && $imgPosition === 'bottom')
        <img src="{{ $imgSrc }}" class="card-img-bottom" alt="Card image">
    @endif

    @if($footer)
        <div class="card-footer">
            {!! $footer !!}
        </div>
    @endif
</div>