@props([
    'type' => 'text',
    'id',
    'name',
    'label',
    'value' => '',
    'placeholder' => '',
    'disabled' => false,
    'readonly' => false,
    'isInvalid' => false,
    'errorMessage' => '',
    'prepend' => '',
    'dataFormType' => '',
    'required' => false,
])

@php
    $id = $id ?? Str::random(8);
@endphp

<div {{ $attributes->class(['input-group', 'has-validation' => $isInvalid]) }}>
    @if($prepend)
        <span class="input-group-text">{{ $prepend }}</span>
    @endif

    <x-bs.input type="{{ $type }}"
                id="{{ $id }}"
                name="{{ $name }}"
                label="{{ $label }}"
                value="{{ $value }}"
                placeholder="{{ $placeholder }}"
                disabled="{{ $disabled }}"
                readonly="{{ $readonly }}"
                isInvalid="{{ $isInvalid }}"
                dataFormType="{{ $dataFormType }}"
                required="{{ $required }}"/>

    @if($isInvalid && $errorMessage)
        <div class="invalid-feedback">
            {{ $errorMessage }}
        </div>
    @endif
</div>