@props([
    'type' => 'text',
    'id',
    'name',
    'label',
    'value' => '',
    'placeholder' => '',
    'disabled' => false,
    'readonly' => false,
    'isInvalid' => false,
    'dataFormType' => '',
    'required' => false,
    'accept' => '',
    'multiple' => false
])

@php
    $id = $id ?? Str::random(8);
@endphp

<div {{ $attributes->class(['form-floating']) }}>
    <input type="{{ $type }}"
           class="form-control @if($isInvalid) is-invalid @endif"
           id="{{ $id }}"
           placeholder="{{ $placeholder }}"
           value="{{ $value }}"
           name="{{ $name }}"
           @if($disabled) disabled @endif
           @if($readonly) readonly @endif
           @if($dataFormType) data-form-type="{{ $dataFormType }}" @endif
           @if($accept) accept="{{ $accept }}" @endif
           @if($multiple) multiple @endif
           @if($required) required @endif>
    <label for="{{ $id }}">{{ $label }}</label>
</div>