@props([
    'id',
    'label',
    'options' => [],
    'selected' => null,
    'disabled' => false,
    'isInvalid' => false,
    'errorMessage' => '',
])

@php
    $id = $id ?? Str::random(8);
@endphp

<div class="form-floating">
    <select {{ $attributes->class(['form-select', 'is-invalid' => $isInvalid]) }} class="form-select @if($isInvalid) is-invalid @endif"
            id="{{ $id }}"
            @if($disabled) disabled @endif >
        @foreach($options as $value => $optionLabel)
            <option value="{{ $value }}" @if($value == $selected) selected @endif>{{ $optionLabel }}</option>
        @endforeach
    </select>
    <label for="{{ $id }}">{{ $label }}</label>
</div>

@if($isInvalid && $errorMessage)
    <div class="invalid-feedback">
        {{ $errorMessage }}
    </div>
@endif
