@props([
    'name',
    'label',
    'value' => '',
    'sourceInputId',
    'required' => false,
    'readonly' => false,
])

@php
    $slugValue = old($name, $value);
@endphp

<div {{ $attributes->class(['form-floating', 'slug-input-component']) }}
     data-source-input-id="{{ $sourceInputId }}"
     data-slug-input-name="{{ $name }}">
    <input type="text"
           class="form-control"
           id="{{ $name }}"
           name="{{ $name }}"
           value="{{ $slugValue }}"
           @if($required) required @endif
           @if($readonly) readonly @endif>
    <label for="{{ $name }}">{{ $label }}</label>
</div>

@pushonce('scripts')
    @vite('resources/js/components/admin/slugInput.js')
@endpushonce