@props([
    'name',
    'label',
    'value' => '',
    'placeholder' => '',
    'disabled' => false,
    'readonly' => false,
    'isInvalid' => false,
    'errorMessage' => '',
    'dataFormType' => '',
])

@php
    $id = $id ?? Str::random(8);
@endphp

<div {{ $attributes->class(['form-floating']) }}>
    <textarea class="form-control @if($isInvalid) is-invalid @endif"
              id="{{ $id }}"
              name="{{ $name }}"
              placeholder="{{ $placeholder }}"
              @if($dataFormType) data-form-type="{{ $dataFormType }}" @endif
              @if($disabled) disabled @endif
              @if($readonly) readonly @endif>{{ $value }}</textarea>
    <label for="{{ $id }}">{{ $label }}</label>
</div>

@if($isInvalid && $errorMessage)
    <div class="invalid-feedback">
        {{ $errorMessage }}
    </div>
@endif