@props([
    'variant' => 'gradient',
    'size' => 'small',
])

@php
    $classes = match ($variant) {
        'gradient' => 'bg-gradient-to-r from-pink-light to-yellow-light border-pink-normal',
        'black' => 'bg-neutral-700 border-black text-white',
        'light' => 'bg-light border-border',
        default => "bg-$variant-light border-$variant-normal",
    };

    $classes .= ' border-2 text-base font-bold leading-4 rounded-full';

    if ($size === 'small') {
        $classes .= ' px-3 py-1 text-sm';
    } elseif ($size === 'medium') {
        $classes .= ' px-4 py-2 text-base';
    } elseif ($size === 'large') {
        $classes .= ' px-6 py-3 text-lg';
    }
@endphp

<span {{ $attributes->merge(['class' => $classes]) }}>
    {{ $slot }}
</span>