@props([
    'type' => 'button',
    'variant' => 'gradient',
    'size' => 'small',
    'disabled' => false,
    'tag' => 'button',
    'href' => '#'
])

@php
    $classes = match ($variant) {
        'gradient' => 'bg-gradient-to-r from-pink-light to-yellow-light border-pink-normal',
        'black' => 'bg-neutral-700 border-black text-white',
        'light' => 'bg-light border-border',
        default => "bg-$variant-light border-$variant-normal",
    };

    $classes .= ' border-2 text-base font-bold leading-4 rounded-full';

    if ($size === 'small') {
        $classes .= ' px-4 py-1';
    } elseif ($size === 'medium') {
        $classes .= ' px-5 py-2';
    } elseif ($size === 'large') {
        $classes .= ' px-8 py-4';
    }
@endphp

@if($tag === 'a')
    <a href="{{ $disabled ? '#' : $href }}"
       {{ $attributes->merge(['class' => $classes, 'role' => 'button']) }}
       @if($disabled) aria-disabled="true" tabindex="-1" @endif>
        {{ $slot }}
    </a>
@else
    <button type="{{ $type }}"
            {{ $attributes->merge(['class' => $classes]) }}
            @if($disabled) disabled @endif>
        {{ $slot }}
    </button>
@endif
