@props(['event'])

@if($event->date_start->diffInDays() < 30 && $event->date_start->isFuture())
    <div class="flex flex-col gap-3">
        <div class="aspect-[3/4] p-1 w-full bg-gradient-to-r from-pink-normal to-yellow-normal rounded-2xl flex items-center gap-2.5 relative">
            <img class="rounded-xl w-full h-full object-cover"
                 alt="{!! e(__('events.illustration', ['event' => $event->nameTranslationKey->getTranslation()])) !!}"
                 src="{{ $event->uploadedPicture->getMediumSizeUrl() }}"/>
            <x-public.badge size="small" class="absolute top-4 right-4">
                {{ __('events.soon') }}
            </x-public.badge>
        </div>
        <div class="h-20 flex-col gap-0.5 flex">
            <div class="text-2xl font-bold">
                {!! e($event->nameTranslationKey->getTranslation()) !!}
            </div>
            <div class="font-bold bg-gradient-to-r from-pink-normal to-yellow-normal text-transparent bg-clip-text">
                {{ $event->date_start->format('d') }}-{{ $event->date_end->format('d M Y') }}
            </div>

            <div class="flex items-center gap-1">
                <x-font-awesome icon="location-dot" class="mr-2 h-4 fill-muted"/>
                <div class="text-muted">
                    {!! e($event->city) !!}
                </div>
            </div>
        </div>
    </div>
@else
    <div class="flex flex-col gap-3">
        <div class="aspect-[3/4] p-1 w-full rounded-2xl flex items-center gap-2.5 relative">
            <img class="rounded-xl w-full h-full object-cover"
                 alt="{!! e(__('events.illustration', ['event' => $event->nameTranslationKey->getTranslation()])) !!}"
                 src="{{ $event->uploadedPicture->getMediumSizeUrl() }}"/>
        </div>
        <div class="h-20 flex-col gap-0.5 flex">
            <div class="text-2xl font-bold">
                {!! e($event->nameTranslationKey->getTranslation()) !!}
            </div>
            <div class="font-bold text-muted">
                {{ $event->date_start->format('d') }}-{{ $event->date_end->format('d M Y') }}
            </div>

            <div class="flex items-center gap-1">
                <x-font-awesome icon="location-dot" class="mr-2 h-4 fill-muted"/>
                <div class="text-muted">
                    {!! e($event->city) !!}
                </div>
            </div>
        </div>
    </div>
@endif

