@props(['socialMediaLinks'=>null])

@php
    if($socialMediaLinks == null){
        $socialMediaLinks = \App\Models\SocialMediaLink::all();
    }
@endphp

<div {{ $attributes->class("h-32 flex items-center relative") }}>
    <div class="flex justify-between items-center w-full">
        <div class="flex justify-start items-center gap-32">
            <a href="{{ route('index') }}">
                <x-public.rann-logo height="4rem" role="image"/>
            </a>
            <div class="hidden lg:flex items-center gap-12">
                <a href="{{ route('index') }}" class="text-xl font-bold">{{ __('navbar.home') }}</a>
                <a href="{{ route('prestations') }}" class="text-xl font-bold">{{ __('navbar.services') }}</a>
                <a href="{{ route('portfolio') }}" class="text-xl font-bold">{{ __('navbar.portfolio') }}</a>
                <a href="{{ route('evenements') }}" class="text-xl font-bold">{{ __('navbar.events') }}</a>
                <a href="{{ route('contact') }}" class="text-xl font-bold">{{ __('navbar.contact_me') }}</a>
                <x-public.button tag="a" href="https://dalnarabyrann.sumupstore.com/">
                    {{ __('navbar.shop') }}
                </x-public.button>
            </div>
        </div>
        <div class="items-center gap-4 hidden xl:flex">
            @foreach($socialMediaLinks as $socialMediaLink)
                <a href="{{ $socialMediaLink->url }}" target="_blank" rel="noopener noreferrer">
                    <x-font-awesome :icon="$socialMediaLink->icon_name" type="brands" class="w-5 h-5"/>
                </a>
            @endforeach
        </div>
        <button id="mobileMenuBtn" class="lg:hidden border border-black p-2 rounded-lg" type="button">
            <x-font-awesome icon="bars" class="w-6 h-6"/>
        </button>
    </div>

    <div id="mobileMenu"
         class="fixed z-50 inset-0 bg-white bg-opacity-90 flex-col items-center justify-center gap-8 hidden backdrop-blur-sm">
        <a href="{{ route('index') }}" class="text-2xl font-bold">{{ __('navbar.home') }}</a>
        <a href="{{ route('prestations') }}" class="text-2xl font-bold">{{ __('navbar.services') }}</a>
        <a href="{{ route('portfolio') }}" class="text-2xl font-bold">{{ __('navbar.portfolio') }}</a>
        <a href="{{ route('evenements') }}" class="text-2xl font-bold">{{ __('navbar.events') }}</a>
        <a href="{{ route('contact') }}" class="text-2xl font-bold">{{ __('navbar.contact_me') }}</a>
        <x-public.button tag="a" href="https://dalnarabyrann.sumupstore.com/" class="text-xl">
            {{ __('navbar.shop') }}
        </x-public.button>
        <button id="mobileMenuCloseBtn" class="absolute top-12 right-6 w-6 h-6">
            <x-font-awesome icon="xmark"/>
        </button>
    </div>
</div>

@push('scripts')
    <script type="text/javascript">
        document.addEventListener('DOMContentLoaded', () => {
            const mobileMenuBtn = document.getElementById('mobileMenuBtn');
            const mobileMenu = document.getElementById('mobileMenu');
            const mobileMenuCloseBtn = document.getElementById('mobileMenuCloseBtn');

            mobileMenuBtn.addEventListener('click', () => {
                console.log("prout");
                mobileMenu.classList.remove('hidden');
                mobileMenu.classList.add('flex');
                document.body.style.overflow = 'hidden';
            });

            mobileMenuCloseBtn.addEventListener('click', () => {
                mobileMenu.classList.remove('flex');
                mobileMenu.classList.add('hidden');
                document.body.style.overflow = 'auto';
            });
        });
    </script>
@endpush