@props([
    'prestation'
])

<a class="relative overflow-hidden rounded-2xl border-4 border-{{ $prestation->category->color }}-normal "
   aria-label="{{ __('services.view_prestation_detail', ['service_name' => $prestation->nameTransKey->getTranslation()]) }}"
   href="{{ route('prestations.show', ['slug' => $prestation->slug]) }}"
   title="{{ $prestation->nameTransKey->getTranslation() }}">
    <!-- 7px blur -->
    <div class="absolute -z-10 top-0 left-0 right-0 bottom-0 blur-[0.4375em]">
        @if($prestation->uploadedPicture()->exists())
            <img src="{{ $prestation->uploadedPicture->getThumbnailSizeUrl() }}"
                 alt="{{ $prestation->nameTransKey->getTranslation() }}"
                 class="w-full h-full object-cover opacity-50"/>
        @else
            <x-public.creation-masonry :creations="$prestation->category->creations" :target-height="2"
                                       :columns-count="3"
                                       :allow-overflow="true" :gap="2"
                                       class="w-full h-full relative opacity-50"/>
        @endif
    </div>
    <div class="flex flex-col justify-between aspect-square w-full p-6 bg-{{ $prestation->category->color }}-normal/30">
        <div class="w-8 aspect-square">
            {!! $prestation->icon_svg !!}
        </div>
        <div class="flex flex-col">
            <div class="text-3xl">{{ $prestation->nameTransKey->getTranslation() }}</div>
            @if(!empty($prestation->detail))
                <div class="text-muted text-base">
                    {{ $prestation->detail }}
                </div>
            @endif
        </div>
    </div>
</a>