@props(['title', 'headerRoutes' => []])

<!DOCTYPE html>
<html lang="{{ config('app.locale') }}">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ $title }}</title>
    <link rel="icon" type="image/svg+xml" href="{{ asset('favicon.svg') }}"/>
    @vite(['resources/scss/admin.scss', 'resources/js/app.js'])
</head>
<body>
<div class="admin-container">
    <x-admin.sidebar/>
    <div class="d-flex flex-column flex-grow-1 overflow-y-auto">
        <x-admin.header :title="$title" :routes="$headerRoutes"/>
        <div class="p-3">
            @yield('content')
        </div>
    </div>
</div>
@stack('scripts')
<script type="text/javascript">
    function toggleSidebar() {
        const sidebar = document.querySelector('.sidebar');
        sidebar.classList.toggle('open');
    }
</script>
</body>
</html>
