<!DOCTYPE html>
<html lang="{{ config('app.locale') }}">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ $title ?? 'Authentification' }}</title>
    <link rel="icon" type="image/svg+xml" href="{{ asset('favicon.svg') }}"/>
    @vite(['resources/scss/admin.scss', 'resources/js/app.js'])
</head>
<body>
<div class="auth-container">
    @if ($errors->any())
        <x-bs.alert type="danger" dismissible="true" icon="circle-exclamation">
            <ul class="m-0 p-0">
                @foreach ($errors->all() as $error)
                    <li>{{ $error }}</li>
                @endforeach
            </ul>
        </x-bs.alert>
    @endif
    @if(session('status'))
        <x-bs.alert type="success" dismissible="true" icon="circle-check">
            {{ session('status') }}
        </x-bs.alert>
    @endif
    <div class="auth-card">
        <div class="auth-card-body">
            @yield('content')
        </div>
    </div>
</div>
</body>
</html>
