@php
    $websiteName = \App\Models\DbConfig::get('website_name', "Rann Graphic Design")
@endphp

<!DOCTYPE html>
<html lang="{{ config('app.locale') }}">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ !empty($title) ? $title . ' - ' . $websiteName : $websiteName }}</title>
    <link rel="icon" type="image/svg+xml" href="{{ asset('favicon.svg') }}"/>

    <meta property="og:locale" content="{{ config('app.locale') }}">
    <meta property="og:locale:alternate" content="{{ config('app.fallback_locale') }}">

    <meta property="og:title" content="{{ !empty($title) ? $title : $websiteName }}">
    <meta property="og:type" content="website">
    <meta property="og:url" content="{{ url()->current() }}">
    @if(!empty($description))
        <meta name="description" content="{{ $description }}">
        <meta property="og:description" content="{{ $description }}">
    @endif
    @if(!empty($image) && is_a($image, \App\Models\UploadedPicture::class))
        <meta property="og:image" content="{{ $image->getFullsizeUrl() }}">
        <meta property="og:image:width" content="{{ $image->width }}">
        <meta property="og:image:height" content="{{ $image->height }}">
    @endif

    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Sniglet:wght@400;800&display=swap" rel="stylesheet">
    @vite(['resources/scss/public.scss', 'resources/js/app.js'])
</head>
<body>
@yield('content')
@stack('scripts')
</body>
</html>