@extends('layouts.public', ['title' => __('navbar.contact_me'), 'description' => __('contact.desc')])

@section('content')
    <x-public.navbar class="container mx-auto px-4"/>
    <div class="container mx-auto px-4 py-24 flex flex-col gap-16">
        <x-public.generic-page-header title="{{ __('navbar.contact_me') }}" :description="__('contact.desc')"/>

        <div>
            <div class="text-center text-2xl">
                {{ __('contact.contact_me_on_one_of_my_social_media') }}
            </div>

            <div class="flex flex-wrap align-center justify-center gap-4 mt-4">
                @foreach(\App\Models\SocialMediaLink::all() as $socialMediaLink)
                    <x-public.button tag="a" :href="$socialMediaLink->url" class="flex items-center gap-2"
                                     size="medium">
                        <div>
                            {{ $socialMediaLink->name }}
                        </div>
                        <div>
                            <x-font-awesome :icon="$socialMediaLink->icon_name" type="brands" class="w-6 h-6"/>
                        </div>
                    </x-public.button>
                @endforeach
            </div>
        </div>
    </div>

    <x-public.footer/>
@endsection