@extends('layouts.public', ['title' => __('navbar.events')])

@section('content')
    <x-public.navbar class="container mx-auto px-4"/>
    <div class="container mx-auto px-4 py-24 flex flex-col gap-16">
        <x-public.generic-page-header title="{{ __('events.title') }}" description="{{ __('events.attract_desc') }}"/>
        <div class="grid grid-cols-1 md:grid-cols-2 xl:grid-cols-4 gap-8 justify-center items-center">
            @foreach(\App\Models\Event::orderBy('date_end', 'desc')->get() as $event)
                <x-public.event-card :event="$event"/>
            @endforeach
        </div>
    </div>

    @if(\App\Models\Event::count() == 0)
        <div class="container mx-auto px-4 py-24 flex flex-col items-center gap-8">
            <div class="flex flex-col items-center gap-3">
                <div class="text-center text-4xl">{{ __('events.no_events') }}</div>
                <div class="text-center text-muted text-xl">
                    {{ __('events.no_events_desc') }}
                </div>
            </div>
        </div>
    @endif

    <x-public.footer/>
@endsection