@extends('layouts.public', ['title' => __('navbar.portfolio'), 'description' => __('services.description')])

@section('content')
    <x-public.navbar class="container mx-auto px-4"/>
    <div class="container mx-auto px-4 pt-24">
        <x-public.generic-page-header title="{{ __('navbar.portfolio') }}." description="{{ __('services.description') }}"/>
    </div>

    <div id="portfolio-section">
        <portfolio-container api-route="{{ route('portfolio.api') }}"></portfolio-container>
    </div>

    <noscript>
        @include('components.public.portfolio-noscript')
    </noscript>
    <x-public.footer/>
@endsection

@pushonce('scripts')
    @vite('resources/js/pages/public/portfolio.js')
@endpushonce