@extends('layouts.public', ['title' => __('navbar.services'), 'description' => __('services.attract_desc')])

@section('content')
    <x-public.navbar class="container mx-auto px-4"/>
    <div class="container mx-auto px-4 py-24 flex flex-col gap-16">
        <x-public.generic-page-header title="{{ __('services.title') }}" description="{{ __('services.attract_desc') }}"/>
        <div class="grid grid-cols-1 md:grid-cols-2 xl:grid-cols-4 gap-8 justify-center items-center">
            @foreach(\App\Models\Prestation::all() as $prestation)
                <x-public.prestation-card :prestation="$prestation"/>
            @endforeach
        </div>
    </div>
    <div class="container mx-auto px-4 py-24 flex flex-col items-center gap-8">
        <div class="flex flex-col items-center gap-3">
            <div class="text-center text-4xl">{{ __('generic.custom_needs') }}</div>
            <div class="text-center text-muted text-xl">
                {{ __('generic.custom_needs_desc') }}
            </div>
        </div>
        <x-public.button size="medium" tag="a" href="{{ route('contact') }}">
            <div class="text-xl font-bold">{{ __('navbar.contact_me') }}</div>
        </x-public.button>
    </div>
    <x-public.footer/>
@endsection