<?php

namespace Tests\Feature;

use App\Models\User;
use Illuminate\Foundation\Testing\RefreshDatabase;
use PHPUnit\Framework\Attributes\Test;
use Tests\TestCase;

class AdminRoutesTest extends TestCase
{
    use RefreshDatabase;

    #[Test]
    public function it_redirects_unauthenticated_users_from_admin_routes()
    {
        $response = $this->get('/admin');

        $response->assertRedirectToRoute('login');
    }

    #[Test]
    public function registration_page_redirects_404_if_user_already_exists()
    {
        User::factory()->create();
        $response = $this->get('/register');

        $response->assertRedirect('/login');
    }

    #[Test]
    public function registration_page_redirects_200_if_no_user_already_exists()
    {
        $response = $this->get('/register');

        $response->assertOk();
    }
}
