<?php

namespace Tests\Feature;

use Illuminate\Support\Facades\Route;
use PHPUnit\Framework\Attributes\Test;
use Tests\TestCase;

class AdminSidebarConfigTest extends TestCase
{
    #[Test]
    public function all_navs_items_are_valid()
    {
        $navbarItems = config('admin.navbar.items');

        $this->verifyNavItems($navbarItems);
    }

    private function verifyNavItems(array $items): void
    {
        foreach ($items as $item) {
            if (isset($item['route'])) {
                $routeName = $item['route'];

                $this->assertTrue(
                    Route::has($routeName),
                    "La route '{$routeName}' n'existe pas."
                );
            }

            if (isset($item['icon'])) {
                $this->assertNotNull(config("fontawesome.{$item['icon']}"),
                    "L'icône '{$item['icon']}' n'existe pas dans la configuration de Font Awesome."
                );
            }

            if (isset($item['items']) && is_array($item['items'])) {
                $this->verifyNavItems($item['items']);
            }
        }
    }
}
