<?php

namespace Tests\Feature\Models;

use App\Models\UploadedPicture;
use Illuminate\Foundation\Testing\RefreshDatabase;
use Illuminate\Support\Facades\Storage;
use Tests\TestCase;

class UploadedPictureTest extends TestCase
{
    use RefreshDatabase;

    public function test_accessing_optimized_variant_that_doesnt_exists_dont_throws_error_but_original_file()
    {
        // In this test, we will try to access an optimized variant that doesn't exist in the storage, but that is
        // referenced in the database. The expected behavior is that the original file is returned instead of an error.
        Storage::fake('public');
        $picture = UploadedPicture::factory()->create([
            'path_big' => 'i_am_a_file_that_doesnt_exists.png',
        ]);

        $original = $picture->getOriginalSizeUrl();
        $big = $picture->getBigSizeUrl();

        $this->assertEquals($original, $big);
    }
}
